@import url("https://fonts.googleapis.com/css2?family=Shadows+Into+Light&display=swap");

:root {
  --color1: #38383f;
  --color2: #ffea53;
  --bgcolorh: linear-gradient(25deg, #ed310b, #f47319, #f6a32a, #f5d03c);
  --color3: linear-gradient(25deg, #1037d1, #4065dd, #5591e8, #5ebff2);
  --color4: linear-gradient(25deg, #1b4a6b, #566e82, #87949a, #b9bcb2);
  --text-color: #131313;
  --color5: #626266;
}

* {
  padding: 0;
  margin: 0;
  font-family: "Shadows Into Light", cursive;
  letter-spacing: 2px;
  color: var(--text-color);
  font-size: 15px;
}

h1 {
  letter-spacing: 10px;
  font-size: 30px;
  font-weight: bolder;
  color: var(--color2);
  text-shadow: 2px 5px 10px var(--text-color);
}

h1:hover {
  animation: title 1.5s infinite linear;
  cursor: pointer;
}

@keyframes title {
  0%,
  100% {
    letter-spacing: 10px;
  }
  50% {
    letter-spacing: 50px;
  }
}

p {
  margin-top: 10px;
  font-size: 20px;
  font-weight: bold;
  color: var(--color2);
}

body {
  background: var(--color1);
}

.container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  margin-top: 25px;
}

#game {
  border-radius: 10px;
  width: 800px;
  height: 320px;
  border-bottom: 3px dotted rgb(255, 255, 255);
  animation: road 0.5s infinite linear;
  transition: 0.2s;
  background: var(--bgcolorh);
}

@keyframes road {
  0%,
  100% {
    border-bottom: 3px dotted rgb(56, 52, 52);
  }
  50% {
    border-bottom: 3px dotted #ff0808;
  }
}

#character {
  width: 20px;
  height: 50px;
  position: relative;
  top: 274px;
  left: 35px;
}

#skate {
  margin-left: 1px;
  width: 50px;
  height: 50px;
  margin-top: 16px;
}

@keyframes jump {
  0%,
  100% {
    top: 274px;
  }
  10% {
    transform: rotateZ(-50deg);
  }
  30%,
  70% {
    top: 180px;
  }
  80% {
    transform: rotateZ(15deg);
  }
}

.animate {
  animation: jump 500ms;
}

@keyframes flip {
  0%,
  100% {
    top: 274px;
  }
  10% {
    transform: rotateZ(-50deg);
  }
  15% {
    transform: rotateX(45deg);
  }
  40% {
    transform: rotateX(90deg);
  }
  30%,
  70% {
    top: 180px;
  }
  60% {
    transform: rotateX(180deg);
  }
  80% {
    transform: rotateZ(15deg);
  }
}

.animateFlip {
  animation: flip ease-in-out 500ms;
}

@keyframes nollie {
  0%,
  100% {
    top: 274px;
    transform: rotateZ(0deg);
  }
  10% {
    transform: rotateZ(50deg);
  }
  70%,
  30% {
    top: 180px;
  }
  80% {
    transform: rotateZ(-30deg);
  }
}

.animateNollie {
  animation: nollie ease-in-out 500ms;
}

@keyframes shov {
  0%,
  100% {
    top: 274px;
  }
  10% {
    transform: rotateZ(-50deg);
  }
  35% {
    transform: rotateY(-45deg);
  }
  45% {
    transform: rotateY(-90deg);
  }
  30%,
  70% {
    top: 180px;
  }
  60% {
    transform: rotateY(-100deg);
  }
  75% {
    transform: rotateY(-180deg);
  }
  80% {
    transform: rotateZ(15deg);
  }
}

.animateShov {
  animation: shov ease-in-out 500ms;
}

#block {
  position: relative;
  top: 240px;
  left: 600px;
  width: 30px;
}

.animateStart {
  animation: block 1s infinite linear;
}

#obst1 {
  width: 30px;
  height: 30px;
}

@keyframes block {
  0% {
    left: 780px;
  }
  100% {
    left: -1px;
  }
}

/* :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::  */

button {
  padding: 2px;
  background: var(--color1);
  text-align: center;
  height: 50px;
  width: 100px;
  border: none;
  box-shadow: 2px 2px 10px #000;
  transition: 0.5s;
  border-radius: 20px;
  color: var(--color2);
  margin: 1rem;
}

button:hover {
  background: var(--bgcolorh);
  color: var(--text-color);
  font-size: 24px;
  cursor: pointer;
}

.ambience-options {
  width: 900px;
  display: flex;
  justify-content: start;
}

.score {
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 5px;
}

#score-local {
  font-weight: 100;
  font-size: 50px;
  color: var(--color2);
}

/* ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; */

.all-dots {
  padding: 1rem;
  border-radius: 2rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  position: fixed;
  left: 70rem;
  top: 36rem;
}

.dot {
  margin: 0.4rem;
  width: 5rem;
  height: 2rem;
  border-radius: 20px;
  background: var(--color1);
  color: var(--color2);
  text-align: center;
  white-space: nowrap;
  padding: 0.5rem;
  font-size: 18px;
  border: none;
  box-shadow: 2px 2px 10px #000;
  transition: 0.1s;
}

.dot:hover {
  color: var(--text-color);
  letter-spacing: 0.2rem;
  cursor: pointer;
}

.dots-down {
  display: flex;
}

.options {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.options p {
  color: var(--color1);
  text-shadow: 2px 2px 2px #000;
}

@media only screen and (max-width: 768px) {
  .container {
    width: 100%;
    height: 700px;
    margin: 0 auto;
  }
  #game {
    border-radius: 10px;
    width: 350px;
    height: 350px;
    background: var(--color5);
  }

  #block {
    position: relative;
    top: 100px;
    left: 250px;
    width: 30px;
  }
  #character {
    width: 20px;
    height: 50px;
    position: relative;
    top: 135px;
    left: 35px;
  }
  #skate {
    margin-left: 1px;
    width: 50px;
    height: 50px;
    margin-top: 16px;
  }
  .options {
    padding: 0;
    max-width: 100%;
    height: 100%;
  }
  .ambience-options {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .options button {
    margin: 0.5em;
    padding: 0.2em;
  }

  #home,
  #city,
  #skatepark {
    display: none;
  }
}
